# utils/helpers.py

def display_number_or_dash(value) -> str:
    """
    Zwraca '-' jeśli wartość == -1, 
    w przeciwnym razie zwraca liczbę jako string.
    """
    try:
        val_int = int(value)
        if val_int == -1:
            return "-"
        return str(val_int)
    except ValueError:
        # Gdyby "value" nie dało się zrzutować na int
        return str(value)

def display_obligatory(value) -> str:
    """
    Dla pola 'obowiązkowe':
      - jeśli wartość == -1 -> '-'
      - jeśli wartość == 1 -> 'tak'
      - w pozostałych przypadkach -> 'nie'
    """
    try:
        val_int = int(value)
    except ValueError:
        val_int = 0  # traktujemy jako 'nie', albo można zwrócić np. 'nie'

    if val_int == -1:
        return "-"
    elif val_int == 1:
        return "tak"
    else:
        return "nie"
